##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

#############################################################################
#    Licensed to the Apache Software Foundation (ASF) under one or more
#    contributor license agreements.  See the NOTICE file distributed with
#    this work for additional information regarding copyright ownership.
#    The ASF licenses this file to You under the Apache License, Version 2.0
#    (the "License"); you may not use this file except in compliance with
#    the License.  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#############################################################################
log4j.rootCategory={{ install_apacheds__instance.loglevel }}, R
#, stdout

#log4j.appender.stdout=org.apache.log4j.ConsoleAppender
#log4j.appender.stdout.layout=org.apache.log4j.PatternLayout

log4j.appender.R=org.apache.log4j.RollingFileAppender
log4j.appender.R.File=${apacheds.log.dir}/apacheds.log

log4j.appender.R.MaxFileSize=1024KB
# Keep some backup files
log4j.appender.R.MaxBackupIndex=5

log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R.layout.ConversionPattern=[%d{HH:mm:ss}] %p [%c] - %m%n

#log4j.appender.stdout.layout.ConversionPattern=[%d{HH:mm:ss}] %p [%c] - %m%n

# with these we'll not get inundated when switching to DEBUG
log4j.logger.jdbm.recman.BaseRecordManager={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.server.OPERATION_LOG={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.server.OPERATION_TIME={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.api.CODEC_LOG={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.server.ACI_LOG={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.server.PROVIDER_LOG={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.server.CONSUMER_LOG={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.CURSOR_LOG={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.api={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.directory.server={{  install_apacheds__instance.loglevel }}
log4j.logger.net.sf.ehcache={{  install_apacheds__instance.loglevel }}
log4j.logger.org.apache.mina={{  install_apacheds__instance.loglevel }}
